eSearch Widget version 2.17

313
5
03-12-2021 08:39 AM
Labels (3)
RickEhlin__Jr
New Contributor II

I'm currently using Portal 10.8.1 and tried to install eSearch Widget version 2.17 and encountered the following error?  I have used this widget before (not this version and not this version of Portal) and haven't encountered an error like this.  I also use the eDraw and Print Plus widgets and have no problems with those.  Any ideas?  ThanksInkedcreatewidgeterror_LI.jpg

Tags (1)
0 Kudos
5 Replies
RobertScheitlin__GISP
MVP Esteemed Contributor

Rick,

   What errors do you see in the web browsers console?

0 Kudos
RickEhlin__Jr
New Contributor II

esearch error 1.JPGesearch error 2.JPG

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Rick,

   I have not seen this or have anyone report this so far. I am not to sure why it is happen either but this change to the widget.js file should resolve the issue.

      _removeSelectionGraphics: function () { //Line 831
        this.selectionGL && this.selectionGL.clear();
      },
0 Kudos
RickEhlin__Jr
New Contributor II

Unfortunately it didn't fix the issue.  What is strange is that we are spinning up a new server and the eSearch widget is functioning on our older server with an older version of the eSearch widget.  We are on 10.8.1 using WAB 2.16....I'm not sure if we have messed something up with setting up the new server/portal as I'm also getting strange problems with the PrintPlus widget that I had success using on our old setup. 

0 Kudos
RobertScheitlin__GISP
MVP Esteemed Contributor

Rick,

   Strange. Your should try the 2.13 version of the eSearch to make sure I didn't add something to the 2.17 version that is dependent on WAB 2.17 

0 Kudos